Exit = function(){
    /**
     * Errors:
     * code     message
     * 98       Given port is arledy in use
     * 100      Uknown error 
     * 101      Wrong params count
     */
    this.systemError = function(code, message){
        var error = "{\"error\": {\"message\": \"" + message + "\", \"code\": " + code + "}}";
        this.error(-666, "SYSTEM_ERROR", error);
    };
    /**
     * Errors:
     * code     message
     * 20xx     Invalid app.yaml 
     * 2002     Missing "handler" field
     * 2003     Missing Class name in "handler" field (path#className)
     * 30xx     Server class errors
     * 3001     Starting given server class failed
     * 3002     Invalid object interface
     */
    this.applicationError = function(code, message){
        var error = "{\"error\": {\"message\": \"" + message + "\", \"code\": " + code + "}}";
        this.error(-667, "APP_ERROR", error);
    };
    this.error = function(code, message, data){
        var error = "{\"error\": {\"message\": \"" + message + "\", \"code\": " + code + ", \"data\": " + data + "}}";
        console.log(JSON.stringify(JSON.parse(error), null, 4));
        process.exit(-1);
    };
    this.success = function(instanceId, pid){
        var succes = "{\"result\": {\"instance\": \"" + instanceId + "\", \"pid\": " + pid + "}}";
        console.log(JSON.stringify(JSON.parse(succes), null, 4));
        process.exit();
    };
};
exports.Exit = new Exit();